function M=oc_expandsystem(M,N);
% function M=oc_expandsystem(M,N);
% Expands time constant systems to be indexed as a 
% time-varying system 
if (length(size(M.A))==2 & ~isa(M.A,'function_handle')) 
    M.A=repmat(M.A,[1 1 N]);
end;
if (length(size(M.B))==2 & ~isa(M.B,'function_handle')) 
    M.B=repmat(M.B,[1 1 N]);
end;
